package com.bcxin.ins.third.build.yangguang.yggc;


import com.bcxin.ins.vo.OrderFormVo;
import com.bcxin.ins.vo.SpecialBidVo;
import com.google.common.collect.Lists;

import java.util.List;

/**
 * 保单信息
 * Created by Apple on 2017/7/19.
 */
public class DBPolicy {
    private BDInsuranceSchema tbInsuranceSchema; //


    public static List<DBPolicy> getDemo(OrderFormVo dto, SpecialBidVo vo){
        List<DBPolicy> l = Lists.newArrayList();
        l.add(new DBPolicy(dto,vo));
        return l;
    }
    public static List<DBPolicy> getDemo1(){
        List<DBPolicy> l = Lists.newArrayList();
        l.add(new DBPolicy("demo"));
        return l;
    }
    public DBPolicy(String demo){
        this.tbInsuranceSchema = new BDInsuranceSchema();
    }


    private DBPolicy(OrderFormVo dto, SpecialBidVo vo){

        this.tbInsuranceSchema = new BDInsuranceSchema(dto,vo);
    }

    public BDInsuranceSchema getTbInsuranceSchema() {
        return tbInsuranceSchema;
    }

    public void setTbInsuranceSchema(BDInsuranceSchema tbInsuranceSchema) {
        this.tbInsuranceSchema = tbInsuranceSchema;
    }
}
